1. MLB
Playbook-API
  • Global
    • Overview
    • Base URL (Servers)
    • Authentication
    • Rate Limits + Usage
    • Errors
    • League / sportKey Conventions
    • Support
  • Core Endpoints
    • Health
      GET
    • Me
      GET
    • Teams
      GET
    • Team Stats
      GET
    • Injuries
      GET
    • Splits
      GET
    • Splits (Historical/History)
      GET
    • Odds-Games
      GET
    • Lines
      GET
    • Games
      GET
    • Recent Form
      GET
    • Head-to-Head
      GET
  • MLB
    • Pitcher Stats (Season)
      GET
    • Starting Pitchers
      GET
    • Ballpark Weather
      GET
    • Strikeout Predictor
      GET
  1. MLB

Pitcher Stats (Season)

GET
https://api.playbook-api.com/v1/mlb/pitchers/{season}
Last modified:2026-04-09 06:58:39
Returns a paginated list of MLB pitcher season stats for the selected season. (from 2023 - current)
Use this endpoint for MLB pitcher lookups, dropdowns, and building season-level pitcher cards.
Example requests:
Return all pitchers for the 2025 season (paginated)
https://api.playbook-api.com/v1/mlb/pitchers/2025?api_key=YOUR_API_KEY
Return all pitchers for the 2025 season (paginated - page 2)
https://api.playbook-api.com/v1/mlb/pitchers/2025?api_key=YOUR_API_KEY&page=2&perPage=25
Return pitchers stats from a specific MLB team
https://api.playbook-api.com/v1/mlb/pitchers/2023?api_key=YOUR_API_KEY&team=LAD
Return pitchers stats from a specific pitcher (from "playerName" field)
https://api.playbook-api.com/v1/mlb/pitchers/2026?api_key=YOUR_API_KEY&playerName=Alex%20Vesia

Request

Path Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.playbook-api.com/v1/mlb/pitchers/'
Response Response Example
{
    "league": "MLB",
    "season": "2023",
    "page": 1,
    "perPage": 25,
    "totalPitchers": 1,
    "total": 1,
    "totalPages": 1,
    "hasNextPage": false,
    "hasPrevPage": false,
    "count": 1,
    "updatedAt": "2026-04-09T06:50:13.000Z",
    "data": [
        {
            "playerKey": "pbk_mlb_p_alex_vesia",
            "playerName": "Alex Vesia",
            "teamId": "LAD",
            "team": {
                "id": "LAD",
                "name": "Los Angeles Dodgers"
            },
            "throws": "L",
            "role": "RP",
            "stats": {
                "G": 56,
                "GS": 1,
                "CG": 0,
                "SHO": 0,
                "IP": 49.2,
                "H": 52,
                "ER": 24,
                "K": 64,
                "BB": 17,
                "HR": 7,
                "BFP": 217,
                "W": 33,
                "L": 23,
                "SV": 0,
                "BS": 0,
                "HLD": 0,
                "ERA": 4.35,
                "WHIP": 1.39,
                "kPer9": 11.6,
                "bbPer9": 3.1,
                "hrPer9": 1.3,
                "kRate": 29.5,
                "bbRate": 7.8
            }
        }
    ]
}
Modified at 2026-04-09 06:58:39
Previous
Head-to-Head
Next
Starting Pitchers
Built with